function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { useSetState } from 'ahooks';
import { useContext } from 'react';
import { VmTable, VmWrapper } from "../../../../_components";
import { CcService } from "../../../api";
import { CarContext } from "../../../index";
import { jsx as _jsx } from "react/jsx-runtime";
var List = function List(props) {
  var _useContext = useContext(CarContext),
    id = _useContext.id;
  var startDate = props.startDate,
    endDate = props.endDate;
  var _useSetState = useSetState({
      pagination: {
        current: 1,
        pageSize: 10,
        total: 0
      },
      sort: ''
    }),
    _useSetState2 = _slicedToArray(_useSetState, 2),
    state = _useSetState2[0],
    setState = _useSetState2[1];
  var pagination = state.pagination,
    sort = state.sort;
  var _CcService$useAlarmLi = CcService.useAlarmList({
      alarmObjId: id,
      queryStartTime: "".concat(startDate, " 00:00:00"),
      queryEndTime: "".concat(endDate, " 23:59:59"),
      sort: sort,
      page: pagination.current - 1
    }),
    alarmRecord = _CcService$useAlarmLi.alarmRecord,
    loading = _CcService$useAlarmLi.loading;
  var columns = [{
    title: '异常类型',
    dataIndex: 'abnormalTypeName',
    key: 'abnormalTypeName',
    width: 160
  }, {
    title: '等级',
    dataIndex: 'levelStr',
    key: 'levelStr',
    width: 120
  }, {
    title: '报警开始时间',
    dataIndex: 'alarmStartTime',
    key: 'alarmStartTime',
    width: 160,
    sorter: true
  }, {
    title: '报警结束时间',
    dataIndex: 'alarmEndTime',
    key: 'alarmEndTime',
    width: 160,
    sorter: true
  }, {
    title: '处理状态',
    dataIndex: 'dealStatusStr',
    key: 'dealStatusStr',
    width: 120
  }];
  var pageChange = function pageChange(page) {
    setState({
      pagination: _objectSpread(_objectSpread({}, pagination), {}, {
        current: page
      })
    });
  };
  var tableProps = {
    pagination: _objectSpread(_objectSpread({}, pagination), {}, {
      total: alarmRecord.total || 0,
      defaultPageSize: 10,
      onChange: pageChange
    }),
    height: 440,
    dataSource: alarmRecord.rows || [],
    loading: loading,
    onChange: function onChange(_pagination, _filters, sorter) {
      if (sorter.order) {
        var order = sorter.order === 'ascend' ? 'asc' : 'desc';
        setState({
          sort: "".concat(sorter.field, ",").concat(order)
        });
      } else {
        setState({
          sort: ''
        });
      }
    }
  };
  return /*#__PURE__*/_jsx(VmWrapper, {
    title: '报警明细',
    children: /*#__PURE__*/_jsx(VmTable, _objectSpread({
      columns: columns,
      rowKey: "id"
    }, tableProps))
  });
};
export default List;